%define name ftp
%define version 0.17
%define prefix %{_prefix}
%define release 4mdk

Name: %{name}
Summary: The standard UNIX FTP (file transfer protocol) client.
Version: %{version}
Release: %{release}
Copyright: BSD
Group: Networking/File transfer
BuildRequires: gpm-devel ncurses-devel readline-devel
Source0: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/netkit-ftp-%{version}.tar.bz2
#Source1: ftp://sunsite.unc.edu/pub/Linux/system/network/file-transfer/netkit-ftp-%{version}.tar.bz2
#Patch0: netkit-ftp-0.10-misc.patch.bz2
#Patch1: ftp-readline.patch.bz2
Patch2: ftp-fix-dirs.patch.bz2
URL: http://www.hcs.harvard.edu/~dholland/computers/netkit.html
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
The ftp package provides the standard UNIX command-line FTP client.
FTP is the file transfer protocol, which is a widely used Internet
protocol for transferring files and for archiving files.

If your system is on a network, you should install ftp in order to do
file transfers.

%prep
%setup -q -n netkit-ftp-%{version}
# %patch0 -p1
# %patch1 -p0
%patch2 -p0

%build
CFLAGS=$RPM_OPT_FLAGS BINDIR=%{_bindir} MANDIR=%{_mandir} ./configure
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_bindir}

make INSTALLROOT=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Fri Dec  8 2000 yves <yduret@mandrakesoft.com> 0.17-4mdk
- fixed permissions 0644 to patch2
- fixed unused patches and Source

* Tue Nov 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.17-3mdk
- Remove the requires inetd (#1063).

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.17-2mdk
- automatically added BuildRequires

* Fri Aug 04 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.17-1mdk
- rebuild for new version

* Thu Jul 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.16-1mdk
- 0.16
  - y2k patch now integrated
  - ewt and readline patch no more necessary
- BM
- macros

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 0.10-8mdk
- rebuild for new readline
- cleanup

* Wed Mar 22 2000 Daouda Lo <daouda@mandrakesoft.com> 0.10-7mdk
- relocate group

* Tue Dec 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix possible y2k misunderstand (i told you it's a minimal
  possibility).

* Mon Dec 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Use readline.

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
